#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define mp make_pair
#define pb push_back
const int N=100050;
int n,a[N],b[N];
ll Resi(int _N, int *A, int *B)
{
	vector<int> tmp;
	n=_N;
	vector<pair<int,int>> evs;
	for(int i=1;i<=n;i++)
	{
		a[i]=A[i-1],b[i]=B[i-1];
		evs.pb({a[i],i});
		evs.pb({b[i],-i});
	}
	sort(evs.begin(),evs.end());
	ll ans=0;
	for(int i=0;i<evs.size();i++)
	{
		int x=evs[i].second;
		if(x<0)
		{
			x=-x;
			int j;
			for(j=0;j<tmp.size();j++) if(tmp[j]==x) break;
			ans+=j;
			tmp.erase(tmp.begin()+j);
		}
		else
		{
			int j,cnt=0;
			for(j=0;j<tmp.size();j++) if(b[tmp[j]]>b[x]) cnt++;
			int pre=tmp.size()-cnt;
			if(pre>=cnt) tmp.pb(x);
			else tmp.insert(tmp.begin(),x);
		}
	}
	return ans;
}
//-------------------------//
/*
int A[N],B[N];
int main()
{
	int n,i;
	scanf("%i",&n);
	for(int i=1;i<=n;i++) scanf("%i",&A[i]);
	for(int i=1;i<=n;i++) scanf("%i",&B[i]);
	printf("%lld\n",Resi(n,A+1,B+1));
	return 0;
}
*/
//-------------------------//